Color
Date: 2019-10-22

org.jmol.awtjs.swing

## Class Color

- java.lang.Object
- - org.jmol.awtjs.swing.Color

- All Implemented Interfaces:
    javajs.api.GenericColor

      public class Color
      extends java.lang.Object
      implements javajs.api.GenericColor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `argb`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Color()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javajs.api.GenericColor` | `get1(int rgb)`
    `static javajs.api.GenericColor` | `get3(int r, int g, int b)`
    `static javajs.api.GenericColor` | `get4(int r, int g, int b, int a)`
    `int` | `getOpacity255()`
    `int` | `getRGB()`
    `private javajs.api.GenericColor` | `set4(int r, int g, int b, int a)`
    `void` | `setOpacity255(int a)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### argb

          public int argb

  - ### Constructor Detail

    - #### Color

          public Color()

  - ### Method Detail

    - #### getRGB

          public int getRGB()

      Specified by:
        `getRGB` in interface `javajs.api.GenericColor`

    - #### getOpacity255

          public int getOpacity255()

      Specified by:
        `getOpacity255` in interface `javajs.api.GenericColor`

    - #### setOpacity255

          public void setOpacity255(int a)

      Specified by:
        `setOpacity255` in interface `javajs.api.GenericColor`

    - #### get1

          public static javajs.api.GenericColor get1(int rgb)

    - #### get3

          public static javajs.api.GenericColor get3(int r,
                                                     int g,
                                                     int b)

    - #### get4

          public static javajs.api.GenericColor get4(int r,
                                                     int g,
                                                     int b,
                                                     int a)

    - #### set4

          private javajs.api.GenericColor set4(int r,
                                               int g,
                                               int b,
                                               int a)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`